Summary:       A program-script interaction and testing utility
Name:          expect
Version:       5.45.4
Release:       7%{?dist}
License:       Public Domain
URL:           https://core.tcl.tk/expect/index
Source0:       http://downloads.sourceforge.net/%{name}/%{name}%{version}.tar.gz
Patch3000:     expect-5.45-pkgpath.patch
Patch5000:     exp-log-buf-overflow.patch
Patch5001:     err-fd-leak.patch
Patch5002:     format-security.patch
Buildrequires: gcc, tcl-devel, autoconf, automake, chrpath, make

%description
Expect is a tool for automating interactive applications
such as telnet, ftp, passwd, fsck, rlogin, tip, etc. Expect
really makes this stuff trivial. Expect is also useful for
testing these same applications. And by adding Tk, you can
also wrap interactive applications in X11 GUIs.
Expect can make easy all sorts of tasks that are prohibitively
difficult with anything else. You will find that Expect is an
absolutely invaluable tool - using it, you will be able to
automate tasks that you've never even thought of before - and
you'll be able to do this automation quickly and easily.


%package devel
Summary: A program-script interaction and testing utility
Requires: expect = %{version}-%{release}

%description devel
This package provides header files for developers who use
the expect library.

%package -n expectk
Summary: A program-script interaction and testing utility
Requires: expect = %{version}-%{release}

%description -n expectk
This package provides expectk and some scripts that used it.

%prep
%autosetup -p1 -n expect%{version}

%build
aclocal
autoconf
( cd testsuite
  autoconf -I.. )

%configure --enable-shared \
           --with-tcl=%{_libdir} \
           --with-tk=%{_libdir} \
           --with-tclinclude=%{_includedir}/tcl-private/generic
%make_build

%install
rm -rf %{buildroot}
%make_install

mv %{buildroot}%{_libdir}/tcl%(echo 'puts $tcl_version' | tclsh)/expect%{version}/libexpect%{version}.so %{buildroot}/%{_libdir}/

ln -s libexpect%{version}.so %{buildroot}%{_libdir}/libexpect.so

rm -f %{buildroot}%{_bindir}/{cryptdir,decryptdir}
rm -f %{buildroot}%{_bindir}/autopasswd
rm -f %{buildroot}%{_mandir}/man1/{cryptdir,decryptdir}.1*

mv %{buildroot}%{_bindir}/mkpasswd %{buildroot}%{_bindir}/mkpasswd-expect
mv %{buildroot}%{_mandir}/man1/mkpasswd.1 %{buildroot}%{_mandir}/man1/mkpasswd-expect.1
sed -i 's/mkpasswd/mkpasswd-expect/g;s/MKPASSWD/MKPASSWD-EXPECT/g' %{buildroot}%{_mandir}/man1/mkpasswd-expect.1
sed -i 's/mkpasswd/mkpasswd-expect/g' %{buildroot}%{_bindir}/mkpasswd-expect

chrpath --delete %{buildroot}%{_libdir}/libexpect%{version}.so

%check
make test

%files
%license license.terms
%doc FAQ HISTORY NEWS README
%{_bindir}/*
%dir %{_libdir}/tcl%(echo 'puts $tcl_version' | tclsh)/expect%{version}/
%{_libdir}/tcl%(echo 'puts $tcl_version' | tclsh)/expect%{version}/pkgIndex.tcl
%{_libdir}/libexpect%{version}.so
%{_libdir}/libexpect.so
%{_mandir}/man1/autoexpect.1.gz
%{_mandir}/man1/dislocate.1.gz
%{_mandir}/man1/expect.1.gz
%{_mandir}/man1/kibitz.1.gz
%{_mandir}/man1/mkpasswd-expect.1.gz
%{_mandir}/man1/passmass.1.gz
%{_mandir}/man1/unbuffer.1.gz
%{_mandir}/man1/xkibitz.1.gz

%files devel
%{_includedir}/*
%{_mandir}/man3/libexpect.3*

%files -n expectk
%{_bindir}/multixterm
%{_bindir}/tknewsbiff
%{_bindir}/tkpasswd
%{_bindir}/xpstat
%{_mandir}/man1/multixterm.1*
%{_mandir}/man1/tknewsbiff.1*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.45.4-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.45.4-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.45.4-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 03 2023 cunshunxia <cunshunxia@tencent.com> - 5.45.4-4
- Rebuilt for tcl 8.6.13

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.45.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.45.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 13 2022 cunshunxia <cunshunxia@tencent.com> - 5.45.4-1
- initial build
